TICKIT_TERM_INPUT_CHECK_TIMEOUT_MSEC(3)

NAME
tickit_term_input_check_timeout_msec - terminal timeout behaviour

SYNOPSIS
    #include <tickit.h>

    int tickit_term_input_check_timeout_msec(TickitTerm *tt);

Link with -ltickit.

DESCRIPTION
tickit_term_input_check_timeout_msec() performs input-related timeout behaviour, used to handle multi-byte input events, the Escape key, and other things. It returns a value indicating the number of milliseconds of delay before it wishes to be called again. When called again, it may perform any timeout behaviours that are required, and either return another timeout delay, or -1 to indicate there is no longer a need for timeout. Calling it may result in TICKIT_EV_KEY events.

This function also invokes deferred TICKIT_EV_RESIZE events if enabled by tickit_term_observe_sigwinch(3).

RETURN VALUE
tickit_term_input_check_timeout_msec() returns a number indicating a timeout delay in milliseconds.

SEE ALSO
tickit_term_build(3), tickit_term_input_push_bytes(3), tickit_term_bind_event(3), tickit_term(7), tickit(7)